function THspectrum_plot(Hs, Tp, k, j, f, Sf, Chosen_f, Chosen_Sf)

%Blue line is original spectrum, red line is MACSI2 spectrum
figure(k+(j-1)*length(Hs)+200);
plot(f,Sf)
title(sprintf('Hs = %0.1f, Tp = %d', Hs(1,k), Tp(1,j)))
xlabel('Frequency [1/s]')
ylabel('Spectrum [m^2s]')
grid on
hold on
plot(Chosen_f, Chosen_Sf,'r', 'Marker', 'x', 'MarkerSize', 4)

end