function [Tz_calc, MinWiretension, Cranemotion, Cranevel_max] = readinfo(headings, Hs, Tp, Deploy, Seastate, fidS)
%% Define parameters
Tz_calc = zeros(size(Tp,2)+1,size(Hs,2)+1);
MinWiretension = zeros(size(Tp,2)+1, size(Hs,2)+1, size(headings,2));
MaxWiretension = zeros(size(Tp,2)+1, size(Hs,2)+1, size(headings,2));
Cranemotion = zeros(size(Tp,2)+1, size(Hs,2)+1, size(headings,2));
Cranevel_max = zeros(size(Tp,2)+1, size(Hs,2)+1, size(headings,2));
Craneaccel_max = zeros(size(Tp,2)+1, size(Hs,2)+1, size(headings,2));
Tz_calc(1,2:size(Tz_calc,2)) = Hs;
Tz_calc(2:size(Tz_calc,1),1) = Tp;

%Parameter matrixes row and column headings
for i = 1:length(headings)    
    MinWiretension(1,1,i) = headings(1,i);
    MaxWiretension(1,1,i) = headings(1,i);
    Cranemotion(1,1,i) = headings(1,i);
    Cranevel_max(1,1,i) = headings(1,i);
    Craneaccel_max(1,1,i) = headings(1,i);
    MinWiretension(1,2:size(MinWiretension,2),i) = Hs;
    MaxWiretension(1,2:size(MaxWiretension,2),i) = Hs;
    Cranemotion(1,2:size(MinWiretension,2),i) = Hs;
    Cranevel_max(1,2:size(MinWiretension,2),i) = Hs;
    Craneaccel_max(1,2:size(MinWiretension,2),i) = Hs;
    MinWiretension(2:size(MinWiretension,1),1,i) = Tp;
    MaxWiretension(2:size(MaxWiretension,1),1,i) = Tp;
    Cranemotion(2:size(MinWiretension,1),1,i) = Tp;
    Cranevel_max(2:size(MinWiretension,1),1,i) = Tp;
    Craneaccel_max(2:size(MinWiretension,1),1,i) = Tp;
end

%% Read MACSI2 output file
if Seastate == 2
    [Tz_calc, MinWiretension, Cranemotion, Cranevel_max] = readinfo_TH(headings, Hs, Tp, Deploy, Tz_calc, MinWiretension, MaxWiretension, Cranemotion, Cranevel_max, Craneaccel_max, fidS);
else
    [Tz_calc, MinWiretension, Cranemotion, Cranevel_max] = readinfo_J(headings, Hs, Tp, Deploy, Tz_calc, MinWiretension, MaxWiretension, Cranemotion, Cranevel_max, Craneaccel_max, fidS);
end

end




