function [Static_weight, Tz_calc, MinWiretension, Vw, F_slam, Cranevel_max, Cranemotion] = Sea_states(Hs, Tp, g, Deploy, Seastate, headings, fidS)

Static_weight = 250*g;

%% Read MACSI2 output
[Tz_calc, MinWiretension, Cranemotion, Cranevel_max] = readinfo(headings, Hs, Tp, Deploy, Seastate, fidS);

%% Perform slamming analyses
[Vw, F_slam] = slamming(headings, Hs, Tp, g, Deploy, Tz_calc, Cranevel_max);

end



 